cascading.tap.hadoop.io

## Class MultiInputSplit

- java.lang.Object
- - cascading.tap.hadoop.io.MultiInputSplit

- All Implemented Interfaces:
    Writable, InputSplit, JobConfigurable

      public class MultiInputSplit
      extends java.lang.Object
      implements InputSplit, JobConfigurable

  Class MultiInputSplit is used by MultiInputFormat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CASCADING_SOURCE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiInputSplit()` This constructor is used internally by Hadoop.
    `MultiInputSplit(InputSplit inputSplit, java.util.Map<java.lang.String,java.lang.String> config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(JobConf jobConf)`
    `static java.lang.String` | `getCurrentTapSourcePath(JobConf jobConf)` Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.
    `long` | `getLength()`
    `java.lang.String[]` | `getLocations()`
    `InputSplit` | `getWrappedInputSplit()`
    `void` | `readFields(java.io.DataInput in)`
    `void` | `write(java.io.DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CASCADING_SOURCE_PATH

          public static final java.lang.String CASCADING_SOURCE_PATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MultiInputSplit

          public MultiInputSplit(InputSplit inputSplit,
                         java.util.Map<java.lang.String,java.lang.String> config)

    - #### MultiInputSplit

          public MultiInputSplit()

      This constructor is used internally by Hadoop. it is expected `configure(org.apache.hadoop.mapred.JobConf)` and `readFields(java.io.DataInput)` are called to properly initialize.

  - ### Method Detail

    - #### getCurrentTapSourcePath

          public static java.lang.String getCurrentTapSourcePath(JobConf jobConf)

      Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.

      Use this method inside an Operation to find the current file being processed.
      Parameters:
        `jobConf` -
      Returns:
        a String

    - #### configure

          public void configure(JobConf jobConf)

      Specified by:
        `configure` in interface `JobConfigurable`

    - #### getLength

          public long getLength()
                         throws java.io.IOException

      Specified by:
        `getLength` in interface `InputSplit`
      Throws:
        `java.io.IOException`

    - #### getLocations

          public java.lang.String[] getLocations()
                                          throws java.io.IOException

      Specified by:
        `getLocations` in interface `InputSplit`
      Throws:
        `java.io.IOException`

    - #### getWrappedInputSplit

          public InputSplit getWrappedInputSplit()

    - #### write

          public void write(java.io.DataOutput out)
                     throws java.io.IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### readFields

          public void readFields(java.io.DataInput in)
                          throws java.io.IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.